# Makefile for libpng
# This generates a libtool convenience library
# $Id: Makefile.in,v 1.11 2001/03/09 10:54:05 tm Exp $

LIBPNG		= libpng
SHELL 		= @SHELL@
srcdir 		= @srcdir@
top_builddir	= ..
EXE		= @EXEEXT@
OBJ		= @OBJEXT@
CC		= @CC@
RM      	= @RM@
LIBTOOL		= ../libtool --silent

CFLAGS 		= @DEFS@ @DEFINES@ @ZLIBINC@

.SUFFIXES: .c .$(OBJ) .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(CFLAGS) $<

.c.$(OBJ):
	$(LIBTOOL) --mode=compile $(CC) -c $(CPPFLAGS) $(CFLAGS) $<

SRC	= \
	$(srcdir)/png.c	\
	$(srcdir)/pngset.c	\
	$(srcdir)/pngget.c	\
	$(srcdir)/pngrutil.c	\
	$(srcdir)/pngtrans.c	\
	$(srcdir)/pngread.c	\
	$(srcdir)/pngrio.c	\
	$(srcdir)/pngrtran.c	\
	$(srcdir)/pngmem.c	\
	$(srcdir)/pngerror.c

OBJS	= \
	$(srcdir)/png.lo	\
	$(srcdir)/pngset.lo	\
	$(srcdir)/pngget.lo	\
	$(srcdir)/pngrutil.lo	\
	$(srcdir)/pngtrans.lo	\
	$(srcdir)/pngread.lo	\
	$(srcdir)/pngrio.lo	\
	$(srcdir)/pngrtran.lo	\
	$(srcdir)/pngmem.lo	\
	$(srcdir)/pngerror.lo

all:	$(LIBPNG).la

test:	all

.PHONY: clean

$(LIBPNG).la: $(OBJS)
	$(LIBTOOL) --mode=link $(CC) -o $@ $(OBJS) -export-dynamic -no-undefined

clean:
	-$(RM) *.$(OBJ) *.lo *.la *.bak .libs

depend: dummy
	cp Makefile.in Makefile.in.bak
	sed '/^# Automatically generated dependencies/q' Makefile.in.bak >Makefile.in
	$(CC) $(CFLAGS) -MM $(SRC) | sed 's/\.o:/.lo:/g' >>Makefile.in

dummy:

# Automatically generated dependencies
png.lo: ./png.c png.h ../flate/zlib.h ../flate/zconf.h pngconf.h
pngset.lo: ./pngset.c png.h ../flate/zlib.h ../flate/zconf.h pngconf.h
pngget.lo: ./pngget.c png.h ../flate/zlib.h ../flate/zconf.h pngconf.h
pngrutil.lo: ./pngrutil.c png.h ../flate/zlib.h ../flate/zconf.h \
 pngconf.h
pngtrans.lo: ./pngtrans.c png.h ../flate/zlib.h ../flate/zconf.h \
 pngconf.h
pngread.lo: ./pngread.c png.h ../flate/zlib.h ../flate/zconf.h \
 pngconf.h
pngrio.lo: ./pngrio.c png.h ../flate/zlib.h ../flate/zconf.h pngconf.h
pngrtran.lo: ./pngrtran.c png.h ../flate/zlib.h ../flate/zconf.h \
 pngconf.h
pngmem.lo: ./pngmem.c png.h ../flate/zlib.h ../flate/zconf.h pngconf.h
pngerror.lo: ./pngerror.c png.h ../flate/zlib.h ../flate/zconf.h \
 pngconf.h
